Bug 116568 - Can create two instances with same language within a single bundle
Can create two instances with same language within a single bundle
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 05:51 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:34:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-23 05:51:20 EST
Description of problem:
It is possible to create two instances with same language within a
single bundle, by clicking the buttons 'fast'.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an english item
2. Go to languages tab
3. Click 'change  language'
4. Before request in 3. has completed, click 'add language'
  
Actual results:
There are now two items in bundle with German language

Expected results:
Error display that there is already a german instance

Additional info:
Here is the SQL invariant that is violated

select count(*) as result 
  from (
    select count(*) as count, parent_id, language
      from cms_items i, cms_bundles b
     where i.parent_id = b.bundle_id
       and version in ('live', 'draft')
     group by parent_id, language
  ) sub where count != 1
Comment 1 Daniel Berrange 2006-09-02 13:34:26 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.